%define section         free
%define archivever      1_4

Name:          axis
Version:       1.4
Release:       %mkrel 6
Epoch:         0
Summary:       SOAP implementation in Java
License:       Apache License
Group:         Development/Java
Url:           http://ws.apache.org/%{name}/
# svn export http://svn.apache.org/repos/asf/webservices/axis/branches/AXIS_1_4_FINAL/ axis-1_4
Source0:       %{name}-%{archivever}-src-svn.tar.gz
Source1:       http://mirrors.ibiblio.org/pub/mirrors/maven2/org/apache/axis/axis/1.4/axis-1.4.pom
Source2:       http://mirrors.ibiblio.org/pub/mirrors/maven2/org/apache/axis/axis-ant/1.4/axis-ant-1.4.pom
Source3:       http://mirrors.ibiblio.org/pub/mirrors/maven2/org/apache/axis/axis-jaxrpc/1.4/axis-jaxrpc-1.4.pom
Source4:       http://mirrors.ibiblio.org/pub/mirrors/maven2/org/apache/axis/axis-saaj/1.4/axis-saaj-1.4.pom
Source5:       axis-schema-1.4.pom
# Build only
# cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/tools export -r v1_1_0 org.eclipse.orbit/javax.xml.rpc/META-INF/MANIFEST.MF
# mv org.eclipse.orbit/javax.xml.rpc/META-INF/MANIFEST.MF xmlrpc-MANIFEST.MF
Source6:       xmlrpc-MANIFEST.MF
# cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/tools export -r v1_4_0 org.eclipse.orbit/org.apache.axis/META-INF/MANIFEST.MF
# mv org.eclipse.orbit/org.apache.axis/META-INF/MANIFEST.MF axis-MANIFEST.MF
Source7:       axis-MANIFEST.MF
# cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/tools export -r v1_3_0 org.eclipse.orbit/javax.xml.soap/META-INF/MANIFEST.MF
# mv org.eclipse.orbit/javax.xml.soap/META-INF/MANIFEST.MF saaj-MANIFEST.MF
Source8:       saaj-MANIFEST.MF
Patch0:        %{name}-bz152255.patch
Patch1:        %{name}-build.patch
Patch2:        %{name}-imageio.patch
Patch3:        %{name}-objectweb.patch
Patch4:        %{name}-1.4-no-clear-cache.patch
BuildRequires: java-rpmbuild >= 0:1.5
# Build only
Patch5:        %{name}-java16.patch
Patch6:        %{name}-manifest.patch
BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: java-1.6.0-openjdk-devel >= 0:1.6.0
BuildRequires: ant >= 0:1.6
BuildRequires: ant-nodeps
BuildRequires: ant-junit
BuildRequires: httpunit
BuildRequires: junit
BuildRequires: xmlunit
# Main requires
BuildRequires: bea-stax-api
BuildRequires: bsf
BuildRequires: castor0
BuildRequires: javamail
BuildRequires: tomcat6-servlet-2.5-api
BuildRequires: apache-commons-discovery
BuildRequires: jakarta-commons-httpclient >= 1:3.0
BuildRequires: apache-commons-logging
BuildRequires: apache-commons-net
BuildRequires: geronimo-j2ee-1.4-api
BuildRequires: jakarta-oro
BuildRequires: regexp
BuildRequires: log4j
BuildRequires: wsdl4j
BuildRequires: xalan-j2
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis12
BuildRequires: xmlbeans
BuildRequires: xml-security-j
BuildRequires: glassfish-jaf
# optional requires
#BuildRequires: jimi
BuildRequires: jetty
Requires:      java >= 0:1.4.2
Requires:      jpackage-utils >= 0:1.6
Requires:      apache-commons-discovery
Requires:      apache-commons-logging
Requires:      jakarta-commons-httpclient >= 1:3.0
Requires:      javamail
Requires:      log4j
Requires:      wsdl4j
BuildArch:      noarch
Obsoletes:      %{name}14
Provides:       %{name}14 = %version-%release

%description
Apache AXIS is an implementation of the SOAP ("Simple Object Access Protocol")
submission to W3C.

From the draft W3C specification:

SOAP is a lightweight protocol for exchange of information in a decentralized,
distributed environment. It is an XML based protocol that consists of three
parts: an envelope that defines a framework for describing what is in a message
and how to process it, a set of encoding rules for expressing instances of
application-defined datatypes, and a convention for representing remote
procedure calls and responses.

This project is a follow-on to the Apache SOAP project.

%files
%doc LICENSE README release-notes.html changelog.html
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%{_datadir}/%{name}-%{version}
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

#--------------------------------------------------------------------

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java
Obsoletes:      %{name}14-javadoc
Provides:       %{name}14-javadoc = %version-%release

%description javadoc
Javadoc for %{name}.

%files javadoc
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%package manual
Summary:        Manual for %{name}
Group:          Development/Java
Obsoletes:      %{name}14-manual
Provides:       %{name}14-manual = %version-%release

%description manual
Documentation for %{name}.

%files manual   
%defattr(-,root,root,-)
%doc docs/* 

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{archivever}
ln -s %{_javadocdir}/%{name} docs/apiDocs

# Remove provided binaries
#find . -name "*.jar" -exec rm -f {} \;
for f in $(find . -name "*.jar"); do mv $f $f.no; done
for f in $(find . -name "*.zip"); do rm -rf $f; done
#find . -name "*.class" -exec rm -f {} \;
for f in $(find . -name "*.class"); do rm -rf $f; done

%patch5 -b .orig
%patch6 -b .orig

cp %{SOURCE6} %{SOURCE7} %{SOURCE8} .

mkdir -p build/schema

%build
pushd lib
ln -sf $(build-classpath bea-stax-api) .
ln -sf $(build-classpath bsf) .
ln -sf $(build-classpath castor0) castor-0.9.5.2.jar
ln -sf $(build-classpath commons-discovery) .
ln -sf $(build-classpath commons-httpclient) .
ln -sf $(build-classpath commons-logging) .
ln -sf $(build-classpath commons-net) .
ln -sf $(build-classpath httpunit) .
ln -sf $(build-classpath jetty/jetty) .
ln -sf $(build-classpath log4j) .
ln -sf $(build-classpath oro) .
ln -sf $(build-classpath xml-security) .
ln -sf $(build-classpath xmlbeans/xbean) .
ln -sf $(build-classpath wsdl4j) .
pushd endorsed
ln -sf $(build-classpath xerces-j2) .
ln -sf $(build-classpath xml-commons-apis12) .
popd
ln -sf $(build-classpath javamail/mail) .
popd
export JAVA_HOME=%{_jvmdir}/java-1.6.0
ant \
    -Dant.build.javac.source=1.4 \
    -Dtest.functional.fail=no \
    -Dcommons-discovery.jar=$(build-classpath commons-discovery) \
    -Dcommons-httpclient.jar=$(build-classpath commons-httpclient) \
    -Dcommons-logging.jar=$(build-classpath commons-logging) \
    -Dlog4j-core.jar=$(build-classpath log4j) \
    -Dwsdl4j.jar=$(build-classpath wsdl4j) \
    -Dregexp.jar=$(build-classpath regexp) \
    -Dxmlunit.jar=$(build-classpath xmlunit) \
    -Dmailapi.jar=$(build-classpath javamail/mail) \
    -Dservlet.jar=$(build-classpath servlet) \
    -Dbsf.jar=$(build-classpath bsf) \
    -Dcastor.jar=$(build-classpath castor0) \
    -Dcommons-net.jar=$(build-classpath commons-net) \
    -Djsse.jar=$(build-classpath jsse/jsse) \
    -Dtools.jar=%{_jvmdir}/java-1.6.0/lib/tools.jar \
    -Djetty.jar=$(build-classpath jetty/jetty) \
    -Dj2ee.jar=$(build-classpath geronimo-j2ee-1.4-api) \
    -Dhttpunit.jar=$(build-classpath httpunit) \
    -Dxmlbeans.jar=$(build-classpath xmlbeans) \
    -Dsecurity.jar=$(build-classpath xml-security) \
    -DxercesImpl.jar=$(build-classpath xerces-j2) \
    -DxmlParserAPIs.jar=$(build-classpath xml-commons-apis12) \
    -Dxalan.jar=$(build-classpath xalan-j2) \
    -Dxml-apis.jar=$(build-classpath xml-commons-apis12) \
    -Dxerces.jar=$(build-classpath xerces-j2) \
    -Dactivation.jar=$(build-classpath glassfish-jaf) \
    -Djunit.jar=$(build-classpath junit) \
    clean war javadocs junit
#    -Djimi.jar=$(build-classpath jimi) \

%install
rm -rf $RPM_BUILD_ROOT

### Jar files

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

pushd build/lib
# install axis-schema.jar when xmlbeans is available
   install -m 644 axis.jar axis-ant.jar saaj.jar axis-schema.jar jaxrpc.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}
popd

### Javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/webapps
install -m 644 build/axis.war \
    $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/webapps

mkdir -p %{buildroot}%{_mavenpomdir}
cp -p %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP.%{name}-axis.pom
cp -p %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP.%{name}-axis-ant.pom
cp -p %{SOURCE5} %{buildroot}%{_mavenpomdir}/JPP.%{name}-axis-schema.pom
cp -p %{SOURCE3} %{buildroot}%{_mavenpomdir}/JPP.%{name}-jaxrpc.pom
cp -p %{SOURCE4} %{buildroot}%{_mavenpomdir}/JPP.%{name}-saaj.pom
%add_to_maven_depmap org.apache.axis axis %{version} JPP/%{name} axis
%add_to_maven_depmap org.apache.axis axis-ant %{version} JPP/%{name} axis-ant
%add_to_maven_depmap org.apache.axis axis-saaj %{version} JPP/%{name} axis-schema
%add_to_maven_depmap org.apache.axis axis-jaxrpc %{version} JPP/%{name} jaxrpc
%add_to_maven_depmap org.apache.axis axis-saaj %{version} JPP/%{name} saaj



%changelog

* Sun Jan 08 2012 gil <gil> 0:1.4-6.mga2
+ Revision: 193322
- build fix added OSGi support
- used %%{archivever}
- added BR java-1.6.0-openjdk-devel dont build with java7

* Sun Jan 08 2012 gil <gil> 0:1.4-5.mga2
+ Revision: 193295
- fix proper castor BR
- edit spec file
- added m2 pom2, rebuilt with xml-security glassfish-jaf geronimo-j2ee-1.4-api support

* Sat May 28 2011 dmorgan <dmorgan> 0:1.4-3.mga1
+ Revision: 100608
- Obsolete unneeded axis14
- Sync with fedora
- imported package axis


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.4-2.0.8mdv2011.0
+ Revision: 603487
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.4-2.0.7mdv2010.1
+ Revision: 522128
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0:1.4-2.0.6mdv2010.0
+ Revision: 413153
- rebuild

* Tue Apr 07 2009 Funda Wang <fwang@mandriva.org> 0:1.4-2.0.5mdv2009.1
+ Revision: 364685
- rediff patch0

* Fri Jan 11 2008 David Walluck <walluck@mandriva.org> 0:1.4-2.0.5mdv2008.1
+ Revision: 147861
- bump release
- add patch for compilation
- use monolithic javamail jar
- fix javamail requires
- explicitly require geronimo for jaf and javamail
- requires xerces-j2 instead of jaxp_parser_impl

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.4-2.0.2mdv2008.0
+ Revision: 87216
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Sun Aug 05 2007 David Walluck <walluck@mandriva.org> 0:1.4-2.0.1mdv2008.0
+ Revision: 59192
- fix sinjdoc build
- sync with JPackage

* Sun Apr 22 2007 David Walluck <walluck@mandriva.org> 0:1.4-1mdv2008.0
+ Revision: 16847
- 1.4


* Thu Mar 15 2007 Christiaan Welvaart <spturtle@mandriva.org> 1.2.1-2.2.2mdv2007.1
+ Revision: 144221
- rebuild for 2007.1

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - Import axis

* Sat Jun 03 2006 David Walluck <walluck@mandriva.org> 0:1.2.1-2.2.1mdv2007.0
- no more jacorb or jonathan-rmi
- rebuild for libgcj.so.7
- aot compile

* Sun Sep 11 2005 David Walluck <walluck@mandriva.org> 0:1.2.1-1.1mdk
- release

* Wed Jun 22 2005 Gary Benson <gbenson@redhat.com> 0:1.2.1-1jpp_1fc
- Upgrade to 1.2.1-1jpp.

* Sat Jun 18 2005 Fernando Nasser <fnasser@redhat.com> 0:1.2.1-1jpp
- Upgrade to 1.2.1 maintenance release

* Sat Jun 18 2005 Gary Benson <gbenson@redhat.com> 0:1.2-1jpp_1fc
- Work around file descripter leak (#160802).
- Build into Fedora.

* Tue Jun 14 2005 Gary Benson <gbenson@redhat.com>
- Add ObjectWeb's patch.

* Sat Jun 11 2005 Gary Benson <gbenson@redhat.com>
- Remove jarfiles from the tarball.

* Wed Jun 08 2005 Gary Benson <gbenson@redhat.com>
- Add DOM3 stubs to classes that need them (#152255).
- Avoid some API holes in libgcj's ImageIO implementation.
- Pick up CORBA and javax.rmi classes from jacorb and jonathan-rmi.

* Thu May 05 2005 Fernando Nasser <fnasser@redhat.com> 0:1.2-1jpp_1rh
- Merge with upstream for upgrade

* Thu May 05 2005 Fernando Nasser <fnasser@redhat.com> 0:1.2-1jpp
- Finaly 1.2 final release

* Sat Mar 12 2005 Ralph Apel <r.apel at r-apel.de>  0:1.2-0.rc2.3jpp
- Also Buildrequire ant-nodeps

* Fri Mar 11 2005 Ralph Apel <r.apel at r-apel.de>  0:1.2-0.rc2.2jpp
- Set OPT_JAR_LIST to "ant/ant-nodeps"
- Buildrequire ant >= 1.6

* Mon Feb 28 2005 Fernando Nasser <fnasser@redhat.com> 0:1.2-0.rc2.1jpp
- Upgrade to 1.2.rc2

* Sat Aug 21 2004 Ralph Apel <r.apel at r-apel.de>  0:1.1-3jpp
- Build with ant-1.6.2

